Connexion

Besoin d'aide ? Une question ? Un avis ? Rejoignez nous sur notre salon IRC pour clavarder

Forum

Packaging 2048-qt

lolo22 Membre non connecté

Rang

Avatar

Inscrit le : 21/08/2012 à 15h54

Localisation : Hérault

Messages: 289

Le 30/05/2014 à 14h28
Bonjour, voila les paquets pour installer le jeu 2048 ;)


Version 32bits:
2048-qt-0.1.5-2.mga4.i586.rpm

Version 64bist:
2048-qt-0.1.5-2.mga4.x86_64.rpm

Src:
2048-qt-0.1.5-2.mga4.src.rpm Edité par lolo22 Le 08/06/2014 à 10h25


L'univers le plus inhumain devient humain par la force de l'habitude.
   
Pascaller Membre non connecté

Rang

Avatar

Inscrit le : 16/09/2011 à 21h09

Localisation : Le Havre

Messages: 265

Le 30/05/2014 à 19h22
Bonjour,

Le jeu ne se lance pas chez moi, en version 64 bits. En ligne de commande j'obtiens les erreurs suivantes :

"Qt Warning - invalid keysym: dead_actute"
"Failed to load 2048-qt_fr_FR"
QQmlApplicationEngine failed to load component
qrc:///qml/main.qml:4 module "QtQuick.Dialogs" is not installed
qrc:///qml/main.qml:1 module "QtQuick" is not installed
qrc:///qml/main.qml:5 module "QtQuick.Window" is not installed
qrc:///qml/main.qml:4 module "QtQuick.Dialogs" is not installed
qrc:///qml/main.qml:1 module "QtQuick" is not installed
qrc:///qml/main.qml:5 module "QtQuick.Window" is not installed
qrc:///qml/main.qml:4 module "QtQuick.Dialogs" is not installed
qrc:///qml/main.qml:1 module "QtQuick" is not installed
qrc:///qml/main.qml:5 module "QtQuick.Window" is not installed

Pascal
   
Pascaller Membre non connecté

Rang

Avatar

Inscrit le : 16/09/2011 à 21h09

Localisation : Le Havre

Messages: 265

Le 30/05/2014 à 20h06
Résolu, curieusement en installant le rpm source 2048-qt-0.1.5-1.mga4.src.rpm. urpmi m'a alors proposé d'installer :
lib64qt5concurrent-devel-5.2.0-2.3.mga4.x86_64
lib64qt5base5-devel-5.2.0-2.3.mga4.x86_64
lib64qt5test-devel-5.2.0-2.3.mga4.x86_64
lib64qt5concurrent5-5.2.0-2.3.mga4.x86_64
lib64qt5bootstrap-devel-5.2.0-2.3.mga4.x86_64

C'est manifestement un de ceux-là qui manquait (lib64qt5concurrent5 ?) et n'était pas dans les dépendances de 2048-qt-0.1.5-1.mga4.x86_64.rpm.

Pascal
   
Adrien.D Membre non connecté

Rang

Avatar

Webmaster Admin système

Inscrit le : 30/05/2011 à 18h36

Localisation : Dijon-21-FRA

Messages: 10334

Le 30/05/2014 à 21h57
Salut,

Ouais, lib64qt5concurrent5-5.2.0-2.3.mga4.x86_64 doit être un Requires et non un BuildRequires (enfin, le nom de paquet qui va bien).

Tu es paré pour une révision 2 du paquet !

Au boulot !


Config : PC Fixe : X470 GAMING PRO- AMD Ryzen 5 2600X - 16Go RAM - Radeon RX 560 (Pilote libre) - user_bar_calculate - GNOME Desktop - Kernel 4.19 LTS
Vice président de l'association COAGUL ("Côte-d’Or - Association Générale des Utilisateurs de Logiciels libres")
Webmaster de MageiaLinuxOnline uniquement. Pas de support de ma part.
Site web    
lolo22 Membre non connecté

Rang

Avatar

Inscrit le : 21/08/2012 à 15h54

Localisation : Hérault

Messages: 289

Le 02/06/2014 à 12h46
Bonjour, je bloque :pleur4:
Quand je mets:
"qt5concurrent5" il ne trouve pas le paquet
"libqt5concurrent5" il installe la version 32 bit
"lib64qt5concurrent5" je suppose qu'il ne va pas trouver le paquet sur les versions 32bit

Du coup je ne sais pas quoi mettre, si quelqu'un sait ^^
Merci de votre aide :merci: Edité par lolo22 Le 02/06/2014 à 12h47


L'univers le plus inhumain devient humain par la force de l'habitude.
   
Adrien.D Membre non connecté

Rang

Avatar

Webmaster Admin système

Inscrit le : 30/05/2011 à 18h36

Localisation : Dijon-21-FRA

Messages: 10334

Le 02/06/2014 à 18h07
Salut,

%{_lib}qt5concurrent5

%{_lib} = lib pour du 32bits
%{_lib} = lib64 pour du 64bits

Pour vérifier le bon fonctionnement de %{_lib} :
Code BASH :
 
rpm -E %{_lib}
lib64
 


Config : PC Fixe : X470 GAMING PRO- AMD Ryzen 5 2600X - 16Go RAM - Radeon RX 560 (Pilote libre) - user_bar_calculate - GNOME Desktop - Kernel 4.19 LTS
Vice président de l'association COAGUL ("Côte-d’Or - Association Générale des Utilisateurs de Logiciels libres")
Webmaster de MageiaLinuxOnline uniquement. Pas de support de ma part.
Site web    
lolo22 Membre non connecté

Rang

Avatar

Inscrit le : 21/08/2012 à 15h54

Localisation : Hérault

Messages: 289

Le 03/06/2014 à 09h10
Bonjour, voila la révision 2 des paquets ;)
2048-qt-0.1.5-2.mga4.x86_64.rpm
2048-qt-0.1.5-2.mga4.src.rpm

La version 32bit arrive ce week-end ;)
Et encore merci pour l'aide :merci:


L'univers le plus inhumain devient humain par la force de l'habitude.
   
lolo22 Membre non connecté

Rang

Avatar

Inscrit le : 21/08/2012 à 15h54

Localisation : Hérault

Messages: 289

Le 08/06/2014 à 10h26
Version 32 bit ajoutée ;)
2048-qt-0.1.5-2.mga4.i586.rpm


L'univers le plus inhumain devient humain par la force de l'habitude.
   
Akien Membre non connecté

Rang

Avatar

Équipe Mageia

Inscrit le : 12/06/2011 à 12h52

Localisation : Allemagne

Messages: 1245

Le 18/11/2014 à 11h23
Notez que je viens d'importer 2048-qt dans Mageia 5 : http://svnweb.mageia.org/packages/cauldron/2048-qt/current/ Edité par Akien Le 18/11/2014 à 11h23



Co-responsable de l'équipe de packaging de Mageia (dev).
Packaging (voir mes paquets) et assurance qualité (QA).
   
Répondre
Vous n'êtes pas autorisé à écrire dans cette catégorie